module Main (main) where

import Distribution.Simple (defaultMainWithHooks, simpleUserHooks, UserHooks(postBuild))
import Distribution.Simple.LocalBuildInfo (buildDir)
import System.FilePath ((</>))
import System.IO (appendFile)
import System.Process (readProcess)

main :: IO ()
main = defaultMainWithHooks $ simpleUserHooks
         { postBuild = \ _ _ _ lbi -> let prefix = buildDir lbi </> "ghcjs-dom-hello/ghcjs-dom-hello.jsexe" in
                                      readProcess "find" [prefix, "-type", "f"] "" >>=
                                        writeFile "debian/ghcjs-dom-hello.install" . unlines . map (++ " usr/bin/ghcjs-dom-hello.jsexe") . lines }
